Bug 153808 - Modern IDB: WebKit 2 IPC layer
Summary: Modern IDB: WebKit 2 IPC layer
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: WebKit2 (show other bugs)
Version: Safari 9
Hardware: Unspecified Unspecified
: P2 Normal
Assignee: Nobody
URL:
Keywords:
Depends on: 154296 154317 154351 154356 154363 154400 154411 154421
Blocks: 149117
  Show dependency treegraph
 
Reported: 2016-02-02 16:36 PST by Brady Eidson
Modified: 2016-02-25 11:21 PST (History)
5 users (show)

See Also:


Attachments
Patch WIP (224.50 KB, application/octet-stream)
2016-02-24 17:28 PST, Brady Eidson
no flags Details
Patch WIP (225.41 KB, patch)
2016-02-24 17:44 PST, Brady Eidson
buildbot: commit-queue-
Details | Formatted Diff | Diff
Archive of layout-test-results from ews104 for mac-yosemite-wk2 (862.16 KB, application/zip)
2016-02-24 20:06 PST, Build Bot
no flags Details
Patch v1 (236.77 KB, patch)
2016-02-25 10:26 PST, Brady Eidson
no flags Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Brady Eidson 2016-02-02 16:36:29 PST
Modern IDB: WebKit 2 IPC layer
Comment 1 Brady Eidson 2016-02-24 17:27:53 PST
The remaining work on this should be small.

I'm attaching a WIP patch that enables modern IDB and then runs WK2 against the exact same set of tests as WK1.

With this patch as-is, there are 14 text failures and 2 database process assertions.
Everything else passes.

I'll poke at the failures a bit to see if only small tweaks can fix them.
Comment 2 Brady Eidson 2016-02-24 17:28:55 PST
Created attachment 272164 [details]
Patch WIP
Comment 3 Brady Eidson 2016-02-24 17:44:18 PST
Created attachment 272165 [details]
Patch WIP

Updated patch that vastly improves those failures.
Comment 4 Brady Eidson 2016-02-24 19:12:06 PST
Giving EWS a run on this before I get back to it tomorroe
Comment 5 Build Bot 2016-02-24 20:05:58 PST
Comment on attachment 272165 [details]
Patch WIP

Attachment 272165 [details] did not pass mac-wk2-ews (mac-wk2):
Output: http://webkit-queues.webkit.org/results/879839

New failing tests:
storage/indexeddb/deletedatabase-delayed-by-open-and-versionchange.html
storage/indexeddb/database-odd-names.html
Comment 6 Build Bot 2016-02-24 20:06:02 PST
Created attachment 272170 [details]
Archive of layout-test-results from ews104 for mac-yosemite-wk2

The attached test failures were seen while running run-webkit-tests on the mac-wk2-ews.
Bot: ews104  Port: mac-yosemite-wk2  Platform: Mac OS X 10.10.5
Comment 7 Brady Eidson 2016-02-24 22:05:03 PST
These failures are the 2 remaining ones on my machine. Hope to make short work of them tomorrow.
Comment 8 Brady Eidson 2016-02-25 09:56:39 PST
The DatabaseProcess crashers are assertions related to the inability to open files calculated from "odd" database names.

I filed https://bugs.webkit.org/show_bug.cgi?id=154681 to track that and will skip them for now when landing this patch.
Comment 9 Brady Eidson 2016-02-25 10:26:58 PST
Created attachment 272214 [details]
Patch v1
Comment 10 WebKit Commit Bot 2016-02-25 11:21:44 PST
Comment on attachment 272214 [details]
Patch v1

Clearing flags on attachment: 272214

Committed r197122: <http://trac.webkit.org/changeset/197122>
Comment 11 WebKit Commit Bot 2016-02-25 11:21:48 PST
All reviewed patches have been landed.  Closing bug.